summaryrefslogtreecommitdiffstats
path: root/god/overlord/index
diff options
context:
space:
mode:
authorkrebs <krebs@fuerkrebs>2011-09-09 21:26:15 -0400
committerkrebs <krebs@fuerkrebs>2011-09-09 21:26:15 -0400
commit8712dfa17f0dd7b90c646e13d2cd4e0d4c5a11e6 (patch)
tree8e0e3e964d1680704c6275fb71966d31a7808650 /god/overlord/index
parent27a38dd34af2e035eb0d37ce2f27f169763c3538 (diff)
//god/overlord: be the right and only one
This commit also makes the //noise module a pure wrapper around the read overlord.
Diffstat (limited to 'god/overlord/index')
-rwxr-xr-xgod/overlord/index27
1 files changed, 27 insertions, 0 deletions
diff --git a/god/overlord/index b/god/overlord/index
new file mode 100755
index 00000000..27506ccd
--- /dev/null
+++ b/god/overlord/index
@@ -0,0 +1,27 @@
+#! /bin/sh
+set -euf
+
+# cd //
+cd $(dirname $(readlink -f $0))/../..
+
+max=100
+step=10
+min=0
+
+# fade-out streams
+for i in `seq $max -$step $min`; do
+ amixer -q -c 0 -D hw:0 sset Front $i%
+ sleep 0.1
+done
+streams/streams stop
+
+amixer -q -c 0 -D hw:0 sset Front $max%
+mplayer god/overlord/announce.mp3 >/dev/null
+espeak -v de -s 120 -a 900 "$*"
+
+# fade-in streams
+streams/streams start
+for i in `seq $min $step $max`; do
+ sleep 0.1
+ amixer -q -c 0 -D hw:0 sset Front $i%
+done